## Identity verification channels (`certify-channels`)

Admin only: merchant credentials of Alipay identity verification and Tencent Cloud FaceID (WeChat face verification); the channel in use is chosen by certify_provider in account settings.

Authentication: Admin only · Docs: https://www-demo.kuxitong.com/en/docs/api/certify-channels

### GET `/api/v2/certify-channels`

Get identity verification channels · Authentication: Admin only

```sh
curl "https://panel.example.com/api/v2/certify-channels" \
  -H "X-API-Key: $GOCDN_API_KEY"
```

### PUT `/api/v2/certify-channels`

Update identity verification channels · Authentication: Admin only

Request body:

| Field | Type | Required | Description |
|---|---|---|---|
| `alipay` | CertifyAlipay |  | Merchant parameters of Alipay identity verification (alipay.user.certify.open.*). |
| `wechat` | CertifyWechat |  | Parameters of Tencent Cloud FaceID (WeChat face verification, faceid DetectAuth). |

```sh
curl -X PUT "https://panel.example.com/api/v2/certify-channels" \
  -H "X-API-Key: $GOCDN_API_KEY"
```

Identity verification channels object:

| Field | Type | Required | Description |
|---|---|---|---|
| `alipay` | CertifyAlipay |  | Merchant parameters of Alipay identity verification (alipay.user.certify.open.*). |
| `wechat` | CertifyWechat |  | Parameters of Tencent Cloud FaceID (WeChat face verification, faceid DetectAuth). |
